HIDBUS(4)

NAME
hidbus - generic HID bus driver

SYNOPSIS
To compile this driver into the kernel, place the following lines in your kernel configuration file:

device hidbus
device hid

Alternatively, to load the driver as a module at boot time, place the following line in loader.conf(5):

    hidbus_load="YES"

DESCRIPTION
The hidbus driver provides support for multiple HID driver attachments to single HID transport backend. See iichid(4) or usbhid(4).

Each HID device can have several components, e.g., a keyboard and a mouse. These components use different report identifiers (a byte) combined into groups called collections to distinguish which one data is coming from. The hidbus driver has other drivers attached that handle particular kinds of devices and hidbus broadcasts data to all of them.

SYSCTL VARIABLES
The following variables are available as both sysctl(8) variables and loader(8) tunables:

hw.hid.hidbus.debug
    Debug output level, where 0 is debugging disabled and larger values increase debug message verbosity. Default is 0.

SEE ALSO
hconf(4), hcons(4), hgame(4), hidraw(4), hkbd(4), hms(4), hmt(4), hpen(4), hsctrl(4), hskbd(4), iichid(4), usbhid(4)

HISTORY
The hidbus driver first appeared in FreeBSD 13.0.

AUTHORS
-nosplit The hidbus driver was written by Vladimir Kondratyev <wulf@FreeBSD.org>.